﻿using EPiServer.ServiceLocation;
using Frontify.Optimizely.Plugin.Interfaces;

namespace Frontify.AlloyMvcTemplates.Frontify
{
    //Example of config implementation for Frontify.
    //Implement IFrontifyeConfig for site specific config
    //uncomment this ServiceConfiguration
    //[ServiceConfiguration(typeof(IFrontifyConfig))]
    public class ExampleFrontifySite1Config : IFrontifyConfig
    {
        public IFrontifySettings Settings => new ExampleSiteOneFrontifySettings(ServiceLocator.Current.GetInstance<IConfiguration>());

        public Guid SiteId => new Guid("76ed051c-0654-41d4-b755-91886fcdeb8c");//Change this from Optimizely / admin / config / websites
    }
    //uncomment this ServiceConfiguration
    //[ServiceConfiguration(typeof(IFrontifyConfig))]
    public class ExampleFrontifySite2Config : IFrontifyConfig
    {
        public IFrontifySettings Settings => new ExampleSiteTwoFrontifySettings(ServiceLocator.Current.GetInstance<IConfiguration>());

        public Guid SiteId => new Guid("b3ab8217-f04f-472d-ac80-059c5dd4de46");//Change this 
    }
}