﻿using Frontify.Optimizely.Plugin.Interfaces;

namespace Frontify.AlloyMvcTemplates.Frontify;

public class ExampleSiteTwoFrontifySettings : IFrontifySettings
{
    private readonly IConfiguration _configuration;
    public ExampleSiteTwoFrontifySettings(IConfiguration configuration)
    {
        _configuration = configuration;
    }

    public virtual string AllowedTypes => _configuration["Frontify:AllowedTypes"] ?? ".jpg,.jpeg,.jpe,.gif,.bmp,.png";

    public virtual string ClientId => "b024c993-d15d-4ddb-8ed6-3ea0e1cc5xxx";//change this
    public string Domain => "partners.frontify.com";

    public virtual int PreferredDownloadWidth => 1200;
    public virtual ContentReference RootFolderId => new ContentReference(644);//change this

    public virtual bool DisableOptimizelyDefaultMediaSelector => false;

    public virtual int DefaultTinyMceImageWidth => 600;
    public string ScriptUrl => _configuration["Frontify:ScriptUrl"];

    public virtual bool EnableOnAllImages => true;
}