﻿using EPiServer.ServiceLocation;
using Frontify.Optimizely.Plugin;
using Frontify.Optimizely.Plugin.Interfaces;

namespace Frontify.AlloyMvcTemplates.Frontify;

// Example of settings implementation for Frontify. Implement and register your custom instance in the IOC container to override default behaviour.
[ServiceConfiguration(typeof(IFrontifyCommerceSettings))]
public class CustomFrontifyCommerceSettings : FrontifySettings, IFrontifyCommerceSettings
{
    public CustomFrontifyCommerceSettings(IConfiguration configuration) : base(configuration) { }
    public bool PreventCommerceEditorIntegration => false;//change this to true if you don't want the plug to work in asset list on product
}