﻿using System.Text.Json;
using Frontify.Optimizely.Plugin.Interfaces;
using Frontify.Optimizely.Plugin.Models;

namespace Frontify.AlloyMvcTemplates.Frontify;

public static class FrontifyMediaExtensions
{
    public static FrontifyAsset FrontifyAsset(this IFrontifyMedia frontifyMedia)
    {
        if (string.IsNullOrEmpty(frontifyMedia?.FrontifyJson)) return null;
        return JsonSerializer.Deserialize<FrontifyAsset>(frontifyMedia.FrontifyJson);
    }

    public static string Status(this IFrontifyMedia frontifyMedia)
    {
        var frontifyAsset = frontifyMedia?.FrontifyAsset();
        return frontifyAsset == null ? string.Empty : frontifyAsset.asset_status;
    }
}